Bug 1141314 - mantis: null byte poisoning in LDAP authentication [epel-5]
Summary: mantis: null byte poisoning in LDAP authentication [epel-5]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mantis
Version: el5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=kumarpraveen
Depends On:
Blocks: CVE-2014-6387
TreeView+ depends on / blocked
 
Reported: 2014-09-12 16:48 UTC by Vincent Danen
Modified: 2015-04-22 18:46 UTC (History)
5 users (show)

Fixed In Version: mantis-1.2.19-1.el5
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-22 18:46:10 UTC
Type: ---


Attachments (Terms of Use)

Description Vincent Danen 2014-09-12 16:48:32 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

epel-5 tracking bug for mantis: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]

Comment 1 Vincent Danen 2014-09-12 16:48:43 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1141310,1141314

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1141310,1141314

Comment 2 Praveen Kumar 2014-11-01 08:44:41 UTC
Since this package got update for Fedora, Can this is also build for epel5 branch?

Comment 3 Gianluca Sforna 2014-11-04 08:16:45 UTC
(In reply to Praveen Kumar from comment #2)
> Since this package got update for Fedora, Can this is also build for epel5
> branch?

I never did it because epel5 is still on the 1.1 series, but right now I see no more point in trying to backport stuff on a product I mostly stopped hacking on.

If I build it, are you able to test the upgrade procedure (involves a schema upgrade) and add karma to the fedora update?

Comment 4 Fedora Update System 2014-11-04 08:33:05 UTC
mantis-1.2.17-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mantis-1.2.17-3.el5

Comment 5 Fedora Update System 2014-11-05 00:21:02 UTC
Package mantis-1.2.17-3.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mantis-1.2.17-3.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3784/mantis-1.2.17-3.el5
then log in and leave karma (feedback).

Comment 6 Praveen Kumar 2014-11-06 03:47:47 UTC
Thank you for building it for epel5, this weekend I will check those build and add karma as required.

Comment 7 Fedora Update System 2015-04-07 13:52:25 UTC
mantis-1.2.19-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mantis-1.2.19-1.el5

Comment 8 Fedora Update System 2015-04-22 18:46:10 UTC
mantis-1.2.19-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.